# $Revision: 1.21 $, $Date: 2003/03/23 23:47:15 $
# conditional build
# _without_dist_kernel          without distribution kernel

Summary:	Kernel module for Logitech QuickCam USB cameras
Summary(pl):	Modu jdra do kamer USB Logitech QuickCam
Name:		kernel-video-quickcam
Version:	0.40c
%define	_rel	6
Release:	%{_rel}@%{_kernel_ver_str}
License:	GPL
Group:		Base/Kernel
Source0:	http://download.sourceforge.net/qce-ga/qce-ga-%{version}.tar.gz
URL:		http://qce-ga.sourceforge.net/
%{!?_without_dist_kernel:BuildRequires:         kernel-headers >= 2.2.0 }
%{!?_without_dist_kernel:%requires_releq_kernel_up}
Requires(post,postun):	/sbin/depmod
Requires(post,postun):	modutils >= 2.3.18-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Logitech QuickCam USB cameras driver.

%description -l pl
Sterownik do kamer USB Logitech QuickCam.

%package -n kernel-smp-video-quickcam
Summary:	SMP kernel module for Logitech QuickCam USB cameras
Summary(pl):	Modu jdra SMP do kamer USB Logitech QuickCam
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{!?_without_dist_kernel:%requires_releq_kernel_smp}
Requires(post,postun):	/sbin/depmod
Requires(post,postun):	modutils >= 2.3.18-2

%description -n kernel-smp-video-quickcam
Logitech QuickCam USB cameras driver for SMP kernel.

%description -n kernel-smp-video-quickcam -l pl
Sterownik do kamer USB Logitech QuickCam dla jdra SMP.

%package -n qce-qa
Summary:        Documentation and test program to Logitech QuickCam USB
Summary(pl):    Dokumentacja i program testujcy do kamer Logitech QuickCam USB
Release:        %{_rel}
Group:          Base/Kernel
Requires:       %{name} = %{version}

%description -n qce-qa
Documentation and test program to Logitech QuickCam USB.

%description -n qce-qa -l pl
Dokumentacja i program testujcy do kamer Logitech QuickCam USB.

%prep
%setup -q -n qce-ga-%{version}

%build
%{__make} \
        CC=%{kgcc} \
        INCLUDES="%{rpmcflags} -I. -D__KERNEL_SMP=1 -D__SMP__ -I%{_kernelsrcdir}/include"
mv -f mod_quickcam.o  quickcam-smp.o
#%%{__make} clean
%{__make} \
        CC=%{kgcc} \
        INCLUDES="%{rpmcflags} -I.  -I%{_kernelsrcdir}/include"
mv -f mod_quickcam.o quickcam.o

cd testquickcam
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

#install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/video
install -D quickcam-smp.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/video/quickcam.o
install -D quickcam.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/video/quickcam.o

install -d $RPM_BUILD_ROOT/usr/sbin
install testquickcam/testquickcam $RPM_BUILD_ROOT/usr/sbin

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/depmod -a

%postun
/sbin/depmod -a

%post -n kernel-smp-video-quickcam
/sbin/depmod -a

%postun -n kernel-smp-video-quickcam
/sbin/depmod -a

%files
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/video/*

%files -n kernel-smp-video-quickcam
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}smp/video/*

%files -n qce-qa
%defattr(644,root,root,755)
%doc README
%attr(755,root,users) /usr/sbin/testquickcam

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: kernel-video-quickcam.spec,v $
Revision 1.21  2003/03/23 23:47:15  blues
- release 6; rebuild with 2.2.25

Revision 1.20  2003/02/28 10:07:59  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.19  2002/12/03 21:34:05  ankry
- cleaning

Revision 1.18  2002/11/17 18:39:27  kloczek
- release 5: rebuild against kernel 2.2.22-6.

Revision 1.17  2002/11/04 12:14:23  qboosh
- typo, more specific Requires

Revision 1.16  2002/10/31 18:56:19  pbern
- move quickcamtest & doc to qce-qa

Revision 1.15  2002/10/31 18:17:23  pbern
- now build on UP & SMP

Revision 1.14  2002/08/18 17:58:07  kloczek
- release 4: rebuild against kernel 2.2.21.

Revision 1.13  2002/08/11 22:12:57  pbern
- now is 0.40c
- add testquickcam tools >> /usr/sbin/testquickcam

Revision 1.12  2002/08/11 20:11:47  mmazur
- fixed changelog
- use new %%doc
- pbern you change one line in a changelog again and I'll kill you...

Revision 1.11  2002/08/11 19:51:37  pbern
- error fix

Revision 1.10  2002/08/11 18:54:45  pbern
- fix

Revision 1.9  2002/08/11 16:30:58  pbern
- update to 0.40c

Revision 1.8  2002/08/11 16:09:46  pbern
- *** empty log message ***

Revision 1.7  2002/03/23 10:15:40  klakier
- updated lincense, removed vendor

Revision 1.6  2002/03/18 17:53:40  misiek
- removed kernel macros and exclusive arch

Revision 1.5  2002/03/17 16:10:28  dzimi

- update rel to build with new kernel

Revision 1.4  2002/02/26 15:23:01  qboosh
- use requires_releq_kernel_up macro; TODO: -smp subpackage

Revision 1.3  2002/02/25 09:17:06  qboosh
- pl summary

Revision 1.2  2002/02/22 23:29:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.1  2002/02/22 17:33:44  klakier
- first version, working!
